#if !defined(AFX_MISCDIALOGS_H__4A2C78DD_AA88_495F_81E9_CB343EFDAB6B__INCLUDED_)
#define AFX_MISCDIALOGS_H__4A2C78DD_AA88_495F_81E9_CB343EFDAB6B__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CApplyToAllDlg dialog

class CSubPicEngine;
#include "DVDSubEditDlg.h"

class CApplyToAllDlg : public CDialog
{
// Construction
public:
	CApplyToAllDlg(CWnd* pParent = NULL);   // standard constructor

	CSubPicEngine*	m_Engine;

	void			ResetAllCheck();
	bool			AnyChecked();

	//{{AFX_DATA(CApplyToAllDlg)
	enum { IDD = IDD_APPLYTOALLDLG };
	BOOL	m_ApplyVMove;
	BOOL	m_ApplyHMove;
	BOOL	m_ApplyStart;
	BOOL	m_ApplyTransp;
	BOOL	m_ApplyBorders;
	BOOL	m_ApplyDuration;
	BOOL	m_ApplyColor;
	int		m_MinMax;
	CString	m_Duration;
	BOOL	m_ApplyCrop;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CApplyToAllDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

protected:

	//{{AFX_MSG(CApplyToAllDlg)
		// NOTE: the ClassWizard will add member functions here
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

class CMoveDlg : public CDialog
{
// Construction
public:
	CMoveDlg(CWnd* pParent = NULL);   // standard constructor

	CSubPicEngine*	m_Engine;
	bool			m_RetimeAll;
	int				m_CurSel;

	void			ResetAllCheck();
	bool			AnyChecked();

	//{{AFX_DATA(CMoveDlg)
	enum { IDD = IDD_MOVEDLG };
	CComboBox	m_MoveSelect;
	float	m_ChangeTimingBy;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CMoveDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

protected:

	//{{AFX_MSG(CMoveDlg)
	virtual BOOL OnInitDialog();
	virtual void OnOK();
	afx_msg void OnSelchangeAbsolute();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

class CPickColorDlg : public CDialog
{
// Construction
public:
	CPickColorDlg(CWnd* pParent = NULL);   // standard constructor

	CDVDSubEditDlg*	m_Engine;
	char*			m_WindowTitle;
	int				m_SelectedCol;
	int				m_InitSelectedCol;
	int				m_WhichPixel;
	CRect			m_MyRect;

	//{{AFX_DATA(CPickColorDlg)
	enum { IDD = IDD_PICKCOLOR };
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CPickColorDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

protected:

	//{{AFX_MSG(CPickColorDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	virtual void OnCancel();
	afx_msg void OnDestroy();
	//}}AFX_MSG
	void OnColClick(UINT nID);
	DECLARE_MESSAGE_MAP()
};


//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_MISCDIALOGS_H__4A2C78DD_AA88_495F_81E9_CB343EFDAB6B__INCLUDED_)
